open Base
open Lwt.Infix

type t = (string * string list) list

let of_body ?max_bytes body =
  Body.read_up_to ?max_bytes body >|= Uri.query_of_encoded

let find_params form ~key =
  form
  |> List.find ~f:(function (k, _) -> String.equal k key)
  |> Option.map ~f:snd

let find_param form ~key =
  form |> find_params ~key |> Option.bind ~f:List.hd
